import e from "./index-toDate.js";
import n from "./index-requiredArgs.js";
function s(m, r) {
  n(2, arguments);
  var t = e(m).getTime(), i = e(r.start).getTime(), a = e(r.end).getTime();
  if (!(i <= a))
    throw new RangeError("Invalid interval");
  return t >= i && t <= a;
}
export {
  s as default
};
